FOFIX(6)

NAME
fofix - Rock Band(tm)-like OpenGL rhythm game

SYNOPSIS
fofix [options]

DESCRIPTION
fofix (Frets on Fire X) is a rhythm game in the style of Guitar Hero(tm) and Rock Band(tm). It supports the simulation of playing guitar, bass guitar, and drums and supports vocal input using a microphone. More than one player can play, cooperatively or competitively. fofix is written in Python using pygame and OpenGL.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-v, --verbose
    Outputs log to stdout in addition to the usual logfile.

-d, --debug
    Writes debugging information to a debug file.

-c, --config=FILE
    Specifies a configuration file to use instead of the usual one.

-f, --fullscreen=[true|false]
    Specify whether the game runs in fullscreen mode.

-r, --resolution=RESOLUTION
    Specify the resolution used by the game.

-t, --theme=THEME
    Specifies the theme to use.

-s, --song=SONGDIR
    Skips the menu and just starts gameplay using the song present in SONGDIR.

The following settings only apply if a song is specified:

-l, --diff=DIFFICULTY
    Specifies the difficulty to use. 0: Expert, 1: Hard, 2: Medium, 3: Easy

-p, --part=PART
    Specifies the part to use. 0: Guitar, 1: Rhythm, 2: Bass, 3: Lead, 4: Drum, 5: Vocals

-m, --mode=MODE
    Specifies the game mode to use. 0: Quickplay, 1: Practice, 2: Career

ENVIRONMENT

PYTHON
    Specifies the python(1) binary used to run the game.

FOFIX_PYTHON_FLAGS
    Specifies extra options for python(1). Defaults to -OO.

SEE ALSO
fretsonfire(6), python(1).

AUTHOR
FoFiX was forked from a project developed by Sami Kyöstilä, Joonas Kerttula, and Tommi Inkilä and is now developed by Chris Paiano, Pascal Giard, Tom Skinner, John Stumpo, Nicholas Hydock, Harris Worthington, and many others.

This manual page was written by John Stumpo <stump@jstump.com>, for the Debian project (and may be used by others).